<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<!-- <link rel="import" href="/extern/bower_components/paper-button/paper-button.html"> -->

<!--
`ajaxell-menu` is the element that generates the sidebar in AjaXell cells.

Example:

    <ajaxell-menu menu="..."></ajaxell-menu>

The menu object should look something like this:

    {
      "menu": [
        {
          "name": "first main menu"
          "menu": [
            {
              "name": "first subitem",
              "name": "second subitem",
              "name": "third subitem",
              "menu": [
                "name": "a sub-subitem"
              ]
            }
          ]
        },
        {
          "name": "second main menu"
          "menu": [
            {
              "name": "first subitem",
              "name": "second subitem",
              "name": "third subitem",
              "menu": [
                "name": "a sub-subitem"
              ]
            }
          ]
        }
      ]
    }

-->
<dom-module id="ajaxell-menu">
  <template>
    <link rel="stylesheet" type="text/css" href="css/ajaxell-menu-min.css?__inline=true">

    <div id="container">

    </div>

  </template>
  <script src="javascript/ajaxell-menu-min.js?__inline=true"></script>
</dom-module>
